Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.get_paged_slice_args

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.get_paged_slice_args

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.get_paged_slice_args>, org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.get_paged_slice_args

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>, java.io.Serializable, java.lang.Cloneable

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.get_paged_slice_args._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`java.lang.String` | `column_family`
`ConsistencyLevel` | `consistency_level`
`static java.util.Map<Cassandra.get_paged_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`KeyRange` | `range`
`java.nio.ByteBuffer` | `start_column`

Constructor Summary
`Cassandra.get_paged_slice_args()`
`Cassandra.get_paged_slice_args(Cassandra.get_paged_slice_args other)` Performs a deep copy on other.
`Cassandra.get_paged_slice_args(java.lang.String column_family, KeyRange range, java.nio.ByteBuffer start_column, ConsistencyLevel consistency_level)`

Method Summary
`java.nio.ByteBuffer` | `bufferForStart_column()`
`void` | `clear()`
`int` | `compareTo(Cassandra.get_paged_slice_args other)`
`Cassandra.get_paged_slice_args` | `deepCopy()`
`boolean` | `equals(Cassandra.get_paged_slice_args that)`
`boolean` | `equals(java.lang.Object that)`
`Cassandra.get_paged_slice_args._Fields` | `fieldForId(int fieldId)`
`java.lang.String` | `getColumn_family()`
`ConsistencyLevel` | `getConsistency_level()`
`java.lang.Object` | `getFieldValue(Cassandra.get_paged_slice_args._Fields field)`
`KeyRange` | `getRange()`
`byte[]` | `getStart_column()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.get_paged_slice_args._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` | `isSetColumn_family()` Returns true if field column_family is set (has been assigned a value) and false otherwise
`boolean` | `isSetConsistency_level()` Returns true if field consistency_level is set (has been assigned a value) and false otherwise
`boolean` | `isSetRange()` Returns true if field range is set (has been assigned a value) and false otherwise
`boolean` | `isSetStart_column()` Returns true if field start_column is set (has been assigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`Cassandra.get_paged_slice_args` | `setColumn_family(java.lang.String column_family)`
`void` | `setColumn_familyIsSet(boolean value)`
`Cassandra.get_paged_slice_args` | `setConsistency_level(ConsistencyLevel consistency_level)`
`void` | `setConsistency_levelIsSet(boolean value)`
`void` | `setFieldValue(Cassandra.get_paged_slice_args._Fields field, java.lang.Object value)`
`Cassandra.get_paged_slice_args` | `setRange(KeyRange range)`
`void` | `setRangeIsSet(boolean value)`
`Cassandra.get_paged_slice_args` | `setStart_column(byte[] start_column)`
`Cassandra.get_paged_slice_args` | `setStart_column(java.nio.ByteBuffer start_column)`
`void` | `setStart_columnIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetColumn_family()`
`void` | `unsetConsistency_level()`
`void` | `unsetRange()`
`void` | `unsetStart_column()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### column_family

    public java.lang.String column_family

### range

    public KeyRange range

### start_column

    public java.nio.ByteBuffer start_column

### consistency_level

    public ConsistencyLevel consistency_level

See Also:
  `ConsistencyLevel`

### metaDataMap

    public static final java.util.Map<Cassandra.get_paged_slice_args._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.get_paged_slice_args

    public Cassandra.get_paged_slice_args()

### Cassandra.get_paged_slice_args

    public Cassandra.get_paged_slice_args(java.lang.String column_family,
                                          KeyRange range,
                                          java.nio.ByteBuffer start_column,
                                          ConsistencyLevel consistency_level)

### Cassandra.get_paged_slice_args

    public Cassandra.get_paged_slice_args(Cassandra.get_paged_slice_args other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.get_paged_slice_args deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### getColumn_family

    public java.lang.String getColumn_family()

### setColumn_family

    public Cassandra.get_paged_slice_args setColumn_family(java.lang.String column_family)

### unsetColumn_family

    public void unsetColumn_family()

### isSetColumn_family

    public boolean isSetColumn_family()

  Returns true if field column_family is set (has been assigned a value) and false otherwise

### setColumn_familyIsSet

    public void setColumn_familyIsSet(boolean value)

### getRange

    public KeyRange getRange()

### setRange

    public Cassandra.get_paged_slice_args setRange(KeyRange range)

### unsetRange

    public void unsetRange()

### isSetRange

    public boolean isSetRange()

  Returns true if field range is set (has been assigned a value) and false otherwise

### setRangeIsSet

    public void setRangeIsSet(boolean value)

### getStart_column

    public byte[] getStart_column()

### bufferForStart_column

    public java.nio.ByteBuffer bufferForStart_column()

### setStart_column

    public Cassandra.get_paged_slice_args setStart_column(byte[] start_column)

### setStart_column

    public Cassandra.get_paged_slice_args setStart_column(java.nio.ByteBuffer start_column)

### unsetStart_column

    public void unsetStart_column()

### isSetStart_column

    public boolean isSetStart_column()

  Returns true if field start_column is set (has been assigned a value) and false otherwise

### setStart_columnIsSet

    public void setStart_columnIsSet(boolean value)

### getConsistency_level

    public ConsistencyLevel getConsistency_level()

  See Also:
    `ConsistencyLevel`

### setConsistency_level

    public Cassandra.get_paged_slice_args setConsistency_level(ConsistencyLevel consistency_level)

  See Also:
    `ConsistencyLevel`

### unsetConsistency_level

    public void unsetConsistency_level()

### isSetConsistency_level

    public boolean isSetConsistency_level()

  Returns true if field consistency_level is set (has been assigned a value) and false otherwise

### setConsistency_levelIsSet

    public void setConsistency_levelIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.get_paged_slice_args._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.get_paged_slice_args._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### isSet

    public boolean isSet(Cassandra.get_paged_slice_args._Fields field)

  Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.get_paged_slice_args that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.get_paged_slice_args other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.get_paged_slice_args>`

### fieldForId

    public Cassandra.get_paged_slice_args._Fields fieldForId(int fieldId)

  Specified by:
    `fieldForId` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.get_paged_slice_args,Cassandra.get_paged_slice_args._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation